#############################################################################
# Makefile for building: ImageLabeler
# Generated by qmake (2.01a) (Qt 4.7.4) on: Mi. Mai 9 13:25:25 2012
# Project:  ImageLabeler.pro
# Template: app
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/default -I. -I/usr/include/QtCore -I/usr/include/QtGui -I/usr/include/QtXml -I/usr/include/QtWebKit -I/usr/include -Idebug
LINK          = g++
LFLAGS        = -m64
LIBS          = $(SUBLIBS)  -L/usr/lib64 -lQtXml -L/usr/lib64 -lQtGui -L/usr/X11R6/lib64 -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = debug/

####### Files

SOURCES       = LineEditForm.cpp \
		OptionsForm.cpp \
		functions.cpp \
		ImageHolder.cpp \
		ImageLabeler.cpp \
		main.cpp debug/moc_LineEditForm.cpp \
		debug/moc_OptionsForm.cpp \
		debug/moc_ImageHolder.cpp \
		debug/moc_ImageLabeler.cpp
OBJECTS       = debug/LineEditForm.o \
		debug/OptionsForm.o \
		debug/functions.o \
		debug/ImageHolder.o \
		debug/ImageLabeler.o \
		debug/main.o \
		debug/moc_LineEditForm.o \
		debug/moc_OptionsForm.o \
		debug/moc_ImageHolder.o \
		debug/moc_ImageLabeler.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/debug_and_release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/build_pass.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		ImageLabeler.pro
QMAKE_TARGET  = ImageLabeler
DESTDIR       = 
TARGET        = ImageLabeler

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile.Debug $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

qmake:  FORCE
	@$(QMAKE) CONFIG+=debug_and_release -o Makefile.Debug ImageLabeler.pro

dist: 
	@$(CHK_DIR_EXISTS) debug/ImageLabeler1.0.0 || $(MKDIR) debug/ImageLabeler1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) debug/ImageLabeler1.0.0/ && $(COPY_FILE) --parents LineEditForm.h OptionsForm.h functions.h ImageHolder.h ImageLabeler.h debug/ImageLabeler1.0.0/ && $(COPY_FILE) --parents LineEditForm.cpp OptionsForm.cpp functions.cpp ImageHolder.cpp ImageLabeler.cpp main.cpp debug/ImageLabeler1.0.0/ && (cd `dirname debug/ImageLabeler1.0.0` && $(TAR) ImageLabeler1.0.0.tar ImageLabeler1.0.0 && $(COMPRESS) ImageLabeler1.0.0.tar) && $(MOVE) `dirname debug/ImageLabeler1.0.0`/ImageLabeler1.0.0.tar.gz . && $(DEL_FILE) -r debug/ImageLabeler1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile.Debug


check: first

mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: debug/moc_LineEditForm.cpp debug/moc_OptionsForm.cpp debug/moc_ImageHolder.cpp debug/moc_ImageLabeler.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) debug/moc_LineEditForm.cpp debug/moc_OptionsForm.cpp debug/moc_ImageHolder.cpp debug/moc_ImageLabeler.cpp
debug/moc_LineEditForm.cpp: LineEditForm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) LineEditForm.h -o debug/moc_LineEditForm.cpp

debug/moc_OptionsForm.cpp: OptionsForm.h
	/usr/bin/moc $(DEFINES) $(INCPATH) OptionsForm.h -o debug/moc_OptionsForm.cpp

debug/moc_ImageHolder.cpp: ImageHolder.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ImageHolder.h -o debug/moc_ImageHolder.cpp

debug/moc_ImageLabeler.cpp: ImageHolder.h \
		LineEditForm.h \
		OptionsForm.h \
		ImageLabeler.h
	/usr/bin/moc $(DEFINES) $(INCPATH) ImageLabeler.h -o debug/moc_ImageLabeler.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

debug/LineEditForm.o: LineEditForm.cpp LineEditForm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/LineEditForm.o LineEditForm.cpp

debug/OptionsForm.o: OptionsForm.cpp OptionsForm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/OptionsForm.o OptionsForm.cpp

debug/functions.o: functions.cpp functions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/functions.o functions.cpp

debug/ImageHolder.o: ImageHolder.cpp ImageHolder.h \
		functions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/ImageHolder.o ImageHolder.cpp

debug/ImageLabeler.o: ImageLabeler.cpp ImageLabeler.h \
		ImageHolder.h \
		LineEditForm.h \
		OptionsForm.h \
		functions.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/ImageLabeler.o ImageLabeler.cpp

debug/main.o: main.cpp ImageLabeler.h \
		ImageHolder.h \
		LineEditForm.h \
		OptionsForm.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/main.o main.cpp

debug/moc_LineEditForm.o: debug/moc_LineEditForm.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/moc_LineEditForm.o debug/moc_LineEditForm.cpp

debug/moc_OptionsForm.o: debug/moc_OptionsForm.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/moc_OptionsForm.o debug/moc_OptionsForm.cpp

debug/moc_ImageHolder.o: debug/moc_ImageHolder.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/moc_ImageHolder.o debug/moc_ImageHolder.cpp

debug/moc_ImageLabeler.o: debug/moc_ImageLabeler.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o debug/moc_ImageLabeler.o debug/moc_ImageLabeler.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

